GDAL

Public Member Functions | List of all members
OGRStyleTable Class Reference

This class represents a style table. More...

`#include <ogr_featurestyle.h>`

## Public Member Functions
GBool | AddStyle (const char *pszName, const char *pszStyleString)
| Add a new style in the table. More...
GBool | RemoveStyle (const char *pszName)
| Remove a style in the table by its name. More...
GBool | ModifyStyle (const char *pszName, const char *pszStyleString)
| Modify a style in the table by its name If the style does not exist, it will be added. More...
GBool | SaveStyleTable (const char *pszFilename)
| Save a style table to a file. More...
GBool | LoadStyleTable (const char *pszFilename)
| Load a style table from a file. More...
const char * | Find (const char *pszStyleString)
| Get a style string by name. More...
GBool | IsExist (const char *pszName)
| Get the index of a style in the table by its name. More...
const char * | GetStyleName (const char *pszName)
| Get style name by style string. More...
void | Print (FILE *fpOut)
| Print a style table to a FILE pointer. More...
void | Clear ()
| Clear a style table.
OGRStyleTable * | Clone ()
| Duplicate style table. More...
void | ResetStyleStringReading ()
| Reset the next style pointer to 0.
const char * | GetNextStyle ()
| Get the next style string from the table. More...
const char * | GetLastStyleName ()
| Get the style name of the last style string fetched with OGR_STBL_GetNextStyle. More...

## Detailed Description

This class represents a style table.

## Member Function Documentation

## ◆ AddStyle()

GBool OGRStyleTable::AddStyle | ( | const char * | pszName,
|  | const char * | pszStyleString
| ) |  |

Add a new style in the table.

No comparison will be done on the Style string, only on the name.

Parameters

  pszName | the name the style to add.
  pszStyleString | the style string to add.

Returns
  TRUE on success, FALSE on error

## ◆ Clone()

OGRStyleTable * OGRStyleTable::Clone | ( |  | ) |

Duplicate style table.

The newly created style table is owned by the caller, and will have its own reference to the OGRStyleTable.

Returns
  new style table, exactly matching this style table.

## ◆ Find()

const char * OGRStyleTable::Find | ( | const char * | pszName | ) |

Get a style string by name.

Parameters

  pszName | the name of the style string to find.

Returns
  the style string matching the name, NULL if not found or error.

## ◆ GetLastStyleName()

const char * OGRStyleTable::GetLastStyleName | ( |  | ) |

Get the style name of the last style string fetched with OGR_STBL_GetNextStyle.

Returns
  the Name of the last style string or NULL on error.

## ◆ GetNextStyle()

const char * OGRStyleTable::GetNextStyle | ( |  | ) |

Get the next style string from the table.

Returns
  the next style string or NULL on error.

## ◆ GetStyleName()

const char * OGRStyleTable::GetStyleName | ( | const char * | pszStyleString | ) |

Get style name by style string.

Parameters

  pszStyleString | the style string to look up.

Returns
  the Name of the matching style string or NULL on error.

## ◆ IsExist()

int OGRStyleTable::IsExist | ( | const char * | pszName | ) |

Get the index of a style in the table by its name.

Parameters

  pszName | the name to look for.

Returns
  The index of the style if found, -1 if not found or error.

## ◆ LoadStyleTable()

GBool OGRStyleTable::LoadStyleTable | ( | const char * | pszFilename | ) |

Load a style table from a file.

Parameters

  pszFilename | the name of the file to load from.

Returns
  TRUE on success, FALSE on error

## ◆ ModifyStyle()

GBool OGRStyleTable::ModifyStyle | ( | const char * | pszName,
|  | const char * | pszStyleString
| ) |  |

Modify a style in the table by its name If the style does not exist, it will be added.

Parameters

  pszName | the name of the style to modify.
  pszStyleString | the style string.

Returns
  TRUE on success, FALSE on error

## ◆ Print()

void OGRStyleTable::Print | ( | FILE * | fpOut | ) |

Print a style table to a FILE pointer.

Parameters

  fpOut | the FILE pointer to print to.

## ◆ RemoveStyle()

GBool OGRStyleTable::RemoveStyle | ( | const char * | pszName | ) |

Remove a style in the table by its name.

Parameters

  pszName | the name of the style to remove.

Returns
  TRUE on success, FALSE on error

## ◆ SaveStyleTable()

GBool OGRStyleTable::SaveStyleTable | ( | const char * | pszFilename | ) |

Save a style table to a file.

Parameters

  pszFilename | the name of the file to save to.

Returns
  TRUE on success, FALSE on error

The documentation for this class was generated from the following files:

- ogr_featurestyle.h
- ogrfeaturestyle.cpp